com.h3c.of.lib.match

## Class MfbVlanVid

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.match.MatchField
    - - com.h3c.of.lib.match.MFieldBasic
      - - com.h3c.of.lib.match.MfbVlanVid

- All Implemented Interfaces:
    Structure

      public class MfbVlanVid
      extends MFieldBasic

  OXM Basic match field for `VLAN_VID`.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MfbVlanVid` | `CreateMfbVlanVid(ProtocolVersion pv, int rawOxmType, int rawClazz, OxmClass clazz, int rawFieldType, boolean hasMask, int length, int vid, OxmFieldType fieldType)`
    `boolean` | `equals(Object o)`
    `VId` | `getVlanId()` Returns the VLAN ID.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.match.MatchField

      `getFieldType, getOxmClass, getPayloadLength, getRawFieldType, getRawOxmClass, getRawOxmType, getTotalLength, hasMask`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex, toDebugString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### CreateMfbVlanVid

          public static MfbVlanVid CreateMfbVlanVid(ProtocolVersion pv,
                                    int rawOxmType,
                                    int rawClazz,
                                    OxmClass clazz,
                                    int rawFieldType,
                                    boolean hasMask,
                                    int length,
                                    int vid,
                                    OxmFieldType fieldType)

    - #### getVlanId

          public VId getVlanId()

      Returns the VLAN ID. Note that this may be one of the special values `VId.NONE` or `VId.PRESENT`.
      Returns:
        the VLAN ID

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `MatchField`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2014. All Rights Reserved.